Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# GT2005ParticleContainer Class Reference

`#include <GT2005ParticleContainer.h>`

Collaboration diagram for GT2005ParticleContainer:

[legend]
List of all members.

## Public Member Functions
| GT2005ParticleContainer ()
GT2005Particle & | operator[] (int index)
const GT2005Particle & | operator[] (int index) const
int | getNumberOfSamples ()
int | getIndexOfParticleWithLowestProb ()
void | calculateEstimatedBall (double &ballX, double &ballY, double &ballP, double &ballVX, double &ballVY, double &ballVP)
## Public Attributes
Cell | cells [blMaxGrid][blMaxGrid]
double | yMax
double | xMax
double | countMax
GT2005Particle | array [numOfBLParticles]

## Constructor & Destructor Documentation

GT2005ParticleContainer::GT2005ParticleContainer | ( |  | ) |

| Definition at line 18 of file GT2005ParticleContainer.cpp. References getNumberOfSamples().

Here is the call graph for this function:

## Member Function Documentation

GT2005Particle& GT2005ParticleContainer::operator[] | ( | int | index | ) | `[inline]`

| Definition at line 69 of file GT2005ParticleContainer.h. References array.

const GT2005Particle& GT2005ParticleContainer::operator[] | ( | int | index | ) | const`[inline]`

| Definition at line 70 of file GT2005ParticleContainer.h. References array.

int GT2005ParticleContainer::getNumberOfSamples | ( |  | ) |

| Definition at line 156 of file GT2005ParticleContainer.cpp. References numOfBLParticles. Referenced by GT2005TeamBallLocator::calcRepresentativeParticleContainer(), calculateEstimatedBall(), GT2005BallLocator::draw(), getIndexOfParticleWithLowestProb(), GT2005ParticleContainer(), GT2005BallLocator::initializeParticles(), GT2005BallLocator::measurementUpdate(), GT2005BallLocator::noNonsenseParticles(), and GT2005BallLocator::timeUpdate().

int GT2005ParticleContainer::getIndexOfParticleWithLowestProb | ( |  | ) |

| Definition at line 24 of file GT2005ParticleContainer.cpp. References getNumberOfSamples(). Referenced by GT2005BallLocator::measurementUpdate().

Here is the call graph for this function:

void GT2005ParticleContainer::calculateEstimatedBall | ( | double & | ballX,
|  | double & | ballY,
|  | double & | ballP,
|  | double & | ballVX,
|  | double & | ballVY,
|  | double & | ballVP
| ) |

| Definition at line 47 of file GT2005ParticleContainer.cpp. References blMaxGrid, cells, GT2005ParticleContainer::Cell::clear(), GT2005ParticleContainer::Cell::count, countMax, Geometry::distance(), GT2005ParticleContainer::Cell::first, getNumberOfSamples(), max, GT2005Particle::next, GT2005Particle::pose, GT2005Particle::probability, GT2005Particle::vprob, GT2005Particle::vx, GT2005Particle::vy, Vector2< double >::x, xMax, Vector2< double >::y, and yMax. Referenced by GT2005BallLocator::execute().

Here is the call graph for this function:

## Member Data Documentation

Cell GT2005ParticleContainer::cells[blMaxGrid][blMaxGrid]

| Definition at line 63 of file GT2005ParticleContainer.h. Referenced by calculateEstimatedBall().

double GT2005ParticleContainer::yMax

| Definition at line 64 of file GT2005ParticleContainer.h. Referenced by calculateEstimatedBall().

double GT2005ParticleContainer::xMax

| Definition at line 64 of file GT2005ParticleContainer.h. Referenced by calculateEstimatedBall().

double GT2005ParticleContainer::countMax

| Definition at line 64 of file GT2005ParticleContainer.h. Referenced by calculateEstimatedBall().

GT2005Particle GT2005ParticleContainer::array[numOfBLParticles]

| Definition at line 68 of file GT2005ParticleContainer.h. Referenced by operator[]().

The documentation for this class was generated from the following files:

- Modules/BallLocator/GT2005Particles/GT2005ParticleContainer.h
- Modules/BallLocator/GT2005Particles/GT2005ParticleContainer.cpp